<?xml version="1.0" encoding="ISO-8859-1"?>

<node id="TCDS2_INTERFACE_ACCESSOR" fwinfo=" width=10">

  <!-- Flags representing the implementation choices of the TCDS2
       link/interface. -->
  <node id="HW_CFG" address="0x00000000" fwinfo=" width=3">
    <node id="HAS_SPY_REGISTERS"  address="0x00000000" mask="0x00000001" permission="r" />
    <node id="HAS_LINK_TEST_MODE" address="0x00000000" mask="0x00000002" permission="r" />
  </node>

  <!-- Core TCDS2 and TCLink link control and status. -->
  <node id="CSR"
        module="file://tcds2_link_csr_master.xml"
        address="0x00000040" />

  <node id="LINK_TEST" address="0x00000008" fwinfo=" width=3">

    <node id="CONTROL" address="0x00000000">
      <!-- Link test mode switch. -->
      <node id="LINK_TEST_MODE" address="0x00000000" mask="0x00000001" permission="rw" />

      <!-- PRBS generator/checker resets. -->
      <node id="PRBS_GEN_RESET"  address="0x00000001" mask="0x00000001" permission="rw" />
      <node id="PRBS_CHK_RESET"  address="0x00000001" mask="0x00000002" permission="rw" />
    </node>

    <node id="STATUS" address="0x00000004">
      <!-- PRBS checked status. -->
      <node id="PRBS_CHK_ERROR"          address="0x00000000" mask="0x00000001" permission="r" />
      <node id="PRBS_CHK_LOCKED"         address="0x00000000" mask="0x00000002" permission="r" />
      <node id="PRBS_CHK_UNLOCK_COUNTER" address="0x00000001" mask="0xffffffff" permission="r" />

      <!-- Some insight into what's going on with the PRBS generator
           and checker. -->
      <node id="PRBS_GEN_O_HINT" address="0x00000002" mask="0x000000ff" permission="r" />
      <node id="PRBS_CHK_I_HINT" address="0x00000002" mask="0x0000ff00" permission="r" />
      <node id="PRBS_CHK_O_HINT" address="0x00000002" mask="0x00ff0000" permission="r" />
    </node>

  </node>

  <!-- Spy access to the raw TX and RX serial stream frames. -->
  <node id="SPY_FRAME_TX"
        module="file://tcds2_frame_spy.xml"
        address="0x00000100" />
  <node id="SPY_FRAME_RX"
        module="file://tcds2_frame_spy.xml"
        address="0x00000110" />

  <!-- Spy access to both TTC2 channels. -->
  <node id="SPY_TTC2_CHANNEL0"
        module="file://tcds2_ttc2_spy.xml"
        address="0x00000120" />
  <node id="SPY_TTC2_CHANNEL1"
        module="file://tcds2_ttc2_spy.xml"
        address="0x00000130" />

  <!-- Spy access to both TTS2 channels. -->
  <node id="SPY_TTS2_CHANNEL0"
        module="file://tcds2_tts2_spy.xml"
        address="0x00000140" />
  <node id="SPY_TTS2_CHANNEL1"
        module="file://tcds2_tts2_spy.xml"
        address="0x00000150" />

</node>
